Share via


Sync Groups - Get

Gets a sync group.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
databaseName
path True

string

The name of the database.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

syncGroupName
path True

string

The name of the sync group.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

SyncGroup

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get a sync group

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-65440/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187?api-version=2025-01-01

Sample response

{
  "name": "syncgroupcrud-3187",
  "type": "Microsoft.Sql/servers/databases/syncGroups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187",
  "properties": {
    "conflictResolutionPolicy": "HubWin",
    "hubDatabaseUserName": "hubUser",
    "interval": -1,
    "lastSyncTime": "0001-01-01T08:00:00Z",
    "privateEndpointName": "PE_67FDBBD6-B2D8-4014-9CC6-C68ABBCFD481_syncgroupcrud-3187",
    "syncDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-3521/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328",
    "syncState": "NotReady",
    "usePrivateLinkConnection": true
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Sku

An ARM Resource SKU.

SyncConflictResolutionPolicy

Conflict resolution policy of the sync group.

SyncGroup

An Azure SQL Database sync group.

SyncGroupSchema

Properties of sync group schema.

SyncGroupSchemaTable

Properties of table in sync group schema.

SyncGroupSchemaTableColumn

Properties of column in sync group table.

SyncGroupState

Sync state of the sync group.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Sku

An ARM Resource SKU.

Name Type Description
capacity

integer (int32)

Capacity of the particular SKU.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU, typically, a letter + Number code, e.g. P3.

size

string

Size of the particular SKU

tier

string

The tier or edition of the particular SKU, e.g. Basic, Premium.

SyncConflictResolutionPolicy

Conflict resolution policy of the sync group.

Value Description
HubWin

HubWin

MemberWin

MemberWin

SyncGroup

An Azure SQL Database sync group.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.conflictLoggingRetentionInDays

integer (int32)

Conflict logging retention period.

properties.conflictResolutionPolicy

SyncConflictResolutionPolicy

Conflict resolution policy of the sync group.

properties.enableConflictLogging

boolean

If conflict logging is enabled.

properties.hubDatabasePassword

string (password)

Password for the sync group hub database credential.

properties.hubDatabaseUserName

string

User name for the sync group hub database credential.

properties.interval

integer (int32)

Sync interval of the sync group.

properties.lastSyncTime

string (date-time)

Last sync time of the sync group.

properties.privateEndpointName

string

Private endpoint name of the sync group if use private link connection is enabled.

properties.schema

SyncGroupSchema

Sync schema of the sync group.

properties.syncDatabaseId

string

ARM resource id of the sync database in the sync group.

properties.syncState

SyncGroupState

Sync state of the sync group.

properties.usePrivateLinkConnection

boolean

If use private link connection is enabled.

sku

Sku

The name and capacity of the SKU.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

SyncGroupSchema

Properties of sync group schema.

Name Type Description
masterSyncMemberName

string

Name of master sync member where the schema is from.

tables

SyncGroupSchemaTable[]

List of tables in sync group schema.

SyncGroupSchemaTable

Properties of table in sync group schema.

Name Type Description
columns

SyncGroupSchemaTableColumn[]

List of columns in sync group schema.

quotedName

string

Quoted name of sync group schema table.

SyncGroupSchemaTableColumn

Properties of column in sync group table.

Name Type Description
dataSize

string

Data size of the column.

dataType

string

Data type of the column.

quotedName

string

Quoted name of sync group table column.

SyncGroupState

Sync state of the sync group.

Value Description
NotReady

NotReady

Error

Error

Warning

Warning

Progressing

Progressing

Good

Good

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.